Quassel IRC - Bug #804

Quassel database should not be world-readable
09/18/2009 10:13 PM - milian

Status: Resolved Start date: 09/18/2009
Priority: Urgent Due date:

Assignee: % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour

Target version:
Version: 0.4.2 0S: Any

Description

In debian + ubuntu and | bet other distris as well, the quassel sqlite database has o+r set, which makes it possible for everyone with
access to the PC to read the logs of anyone.

To reproduce:
Is Hvarlfeache/quasselsqlite

-+ 1 quasselcore quassel 38912 16. Sep 21:19 quassel-storage.sqlite

Expected result:
W

Quassel should notify me that the permissions of my sqlite database are not set properly and offer me to correct them.

Associated revisions

Revision 328b48e6fbd78d6158eb55296c0843fc5a41bcfa - 09/29/2009 02:17 PM - Daniel Albers

core defaults to safer umask

Fixes #804

Revision 328b48e6 - 09/29/2009 02:17 PM - Daniel Albers

core defaults to safer umask

Fixes #804

History

#1 - 09/28/2009 11:43 PM - dalbers

Not Quassel's but package maintainers' responsibility in my opinion.

#2 - 09/29/2009 12:06 PM - milian

| discussed it in #quassel before reporting, and there we came to the point that it was quassel's fault. Imo it's his job to create the DB and care for
proper rights.

If you disagree, please at least make a public statement (on the planet?). I'd report it at the distro's | use, though there are so many. And this is a
security risk on all of them.

#3 - 09/29/2009 12:53 PM - seezer

I'll never manage to understand why most to all distributions use a default umask that keeps everything world readable.
| personally don't like any file in my home directory having o+r without setting that myself.
But then i'm no distro/package maintainer. Perhaps we can get some comments from ScottK or any other distro guy?

#4 - 09/29/2009 04:46 PM - dalbers
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset 328b48e6fbd78d6158eb55296c0843fc5a4 1bcfa.
